<?
 $chat2=@file("../local/datachat/$id_room.chat");
 $chat2_k=count($chat2);
 $time=time();
 $lp_ok='0';
 ///////// последний пост умника ////////////////
 for ($i=0;$i<$chat2_k;$i++){
 	$post2=explode(":||:",$chat2[$i]);
 	if ($post2[4]=='1'){
 		$post=$post2;
 		$post_m=$i;
 		$lp_ok='1';  // пост найден
 		$lastpost=$post;
 		}
 	}
 	///////////////////////////////////////////////////////
 	$vr1='60'; // через сколько секунд выдавать 1 подсказку
 	$vr2='60'; // через сколько секунд выдавать 2 подсказку
 	$vr3='60'; // через сколько секунд выдавать ответ
 	$vr4='60'; // через сколько секунд задавать новый вопрос
 	///////////////////////////////////////////////////////
 	$time2=$time+$vr1;
 	$time3=$time+$vr2;
 	$time4=$time+$vr3;
 	$time5=$time+$vr4;
 	$otv_ok='0';
 	if ($lp_ok=='1' && ($post[6]=='vop' || $post[6]=='help1' || $post[6]=='help2')){
 		for ($i=$post_m;$i<$chat2_k && $otv_ok==0;$i++){
 			$post9=explode(":||:",$chat2[$i]);
 			$v_otvet=base64_decode("$post9[2]");
 			$v_otvet=strtr($v_otvet,array("А"=>"а","Б"=>"б","В"=>"в","Г"=>"г","Д"=>"д","Е"=>"е","Ё"=>"ё","Ж"=>"ж","З"=>"з","И"=>"и","Й"=>"й","К"=>"к","Л"=>"л","М"=>"м","Н"=>"н","О"=>"о","П"=>"п","Р"=>"р","С"=>"с","Т"=>"т","У"=>"у","Ф"=>"ф","Х"=>"х","Ц"=>"ц","Ч"=>"ч","Ш"=>"ш","Щ"=>"щ","Ъ"=>"ъ","Ы"=>"ы","Ь"=>"ь","Э"=>"э","Ю"=>"ю","Я"=>"я"));
 			if (eregi("$post[7]",$v_otvet)){
 				if ($post[6]=='vop'){
 					$podsk="не используя подсказок";$dbal='10';$dmon='15';
 					}
 				if ($post[6]=='help1'){
 					$podsk="используя одну подсказку";$dbal='5';$dmon='10';
 					}
 					if ($post[6]=='help2'){
 						$podsk="используя две подсказки";$dbal='2';$dmon='5';
 						}
 						$sled="Следующий вопрос через $vr4 секунд.";
 						$udata[36]=trim($udata[36])+$dbal;
 						$udata[41]=trim($udata[41])+$dmon;
 						$udata[12]++;
$userdata="Это твоё <b style=\"font-weight: 600;\">$udata[12]</b> сообщение! Ты получаешь $dbal баллов (всего:<b style=\"font-weight: 600;\">$udata[36]</b>), и $dmon монет (всего в кармане:<b style=\"font-weight: 600;\">$udata[41]</b>)";
 						$userdata2=implode(":||:", $udata);
 						$fp=fopen("../local/profil/$log.prof","w");
 						flock($fp,LOCK_EX);
 						fputs($fp,"$userdata2");
 						fflush($fp);
 						flock($fp,LOCK_UN);
 						fclose($fp);
$otvet2="Молодец <b style=\"font-weight: 600;\">$post9[0]</b>, ты первым дал(a) верный ответ (<b style=\"font-weight: 600;\">$post[7]</b>) $podsk.<br />$userdata<br />$sled";
 						$otvet2=base64_encode($otvet2);
 						$date=base64_encode(date("(G:i)"));
 						$fm=fopen("../local/datachat/$id_room.chat","a");
 						flock($fm,LOCK_EX);
 						fputs($fm,"Умник:||:$date:||:$otvet2:||::||:1:||:$time5:||:otv:||::||::||::||::||:\r\n");
 						fflush($fm);
 						flock($fm,LOCK_UN);
 						fclose($fm);
 						chmod ("../local/datachat/$id_room.chat", 0666);
 						$otv_ok='1';
 					}
 				}
 			}
 	if (($lp_ok=='0'||$post[6]=='otv' && $post[5]<$time) && $otv_ok!='1') // задается вопрос
 	{
 		$voprosy=file("voprosy.dat");
 		$voprosy_k=count($voprosy);
 		$rand_vopr=rand(0,$voprosy_k-1);
 		$vopros=explode("|",$voprosy[$rand_vopr]);
 		$otvet_k=strlen($vopros[1])/2;
 		if ($otvet_k=='1'){$b='буква';}
 		if ($otvet_k=='2'){$b='буквы';}
 		if ($otvet_k=='3'){$b='буквы';}
 		if ($otvet_k=='4'){$b='буквы';}
 		if ($otvet_k>'4'){$b='букв';}
 		for ($i=0;$i<$otvet_k;$i++){$otvet.="*";}
 		$vopros2="Вопрос: \"$vopros[0]\" ($otvet_k $b)";
 		$vopros2=base64_encode($vopros2);
 		$date=base64_encode(date("(G:i)"));
 		$fm=fopen("../local/datachat/$id_room.chat","a");
 		flock($fm,LOCK_EX);
 		fputs($fm,"Умник:||:$date:||:$vopros2:||::||:1:||:$time2:||:vop:||:$vopros[1]:||::||::||::||:\r\n");
 		fflush($fm);
 		flock($fm,LOCK_UN);
 		fclose($fm);
 		chmod ("../local/datachat/$id_room.chat", 0666);
 		}
 		if ($lp_ok=='1' && $post[6]=='vop' && $post[5]<$time && $otv_ok!='1'){
 			$help=substr($post[7],0,2);
 			$otvet_k=strlen($post[7])/2;
 			for ($i=0;$i<$otvet_k-1;$i++){
 				$help.="*";}
 			$vopros2="Первая подсказка: \"<b style=\"font-weight: 600;\">$help</b>\".";
 			$vopros2=base64_encode($vopros2);
 			$date=base64_encode(date("(G:i)"));
 			$fm=fopen("../local/datachat/$id_room.chat","a");
 			flock($fm,LOCK_EX);
 			fputs($fm,"Умник:||:$date:||:$vopros2:||::||:1:||:$time3:||:help1:||:$post[7]:||::||::||::||:\r\n");
 			fflush($fm);
 			flock($fm,LOCK_UN);
 			fclose($fm);
 			chmod ("../local/datachat/$id_room.chat", 0666);
 			}
 			if ($lp_ok=='1' && $post[6]=='help1' && $post[5]<$time && $otv_ok!='1'){
 				$help=substr($post[7],0,4);
 				$otvet_k=strlen($post[7])/2;
 				for ($i=0;$i<$otvet_k-2;$i++){$help.="*";}
 				$vopros2="Вторая подсказка: \"<b style=\"font-weight: 600;\">$help</b>\".";
 				$vopros2=base64_encode($vopros2);
 				$date=base64_encode(date("(G:i)"));
 				$fm=fopen("../local/datachat/$id_room.chat","a");
 				flock($fm,LOCK_EX);
 				fputs($fm,"Умник:||:$date:||:$vopros2:||::||:1:||:$time4:||:help2:||:$post[7]:||::||::||::||:\r\n");
 				fflush($fm);
 				flock($fm,LOCK_UN);
 				fclose($fm);
 				chmod ("../local/datachat/$id_room.chat", 0666);
 				}
 				if ($lp_ok=='1' && $post[6]=='help2' && $post[5]<$time && $otv_ok!='1'){
 					$vopros2="На вопрос никто не ответил. Правильный ответ: <b style=\"font-weight: 600;\">\"$post[7]\"</b>.<br />Следующий вопрос через $vr4 секунд";
 					$vopros2=base64_encode($vopros2);
 					$date=base64_encode(date("(G:i)"));
 					$fm=fopen("../local/datachat/$id_room.chat","a");
 					flock($fm,LOCK_EX);
 					fputs($fm,"Умник:||:$date:||:$vopros2:||::||:1:||:$time5:||:otv:||::||::||::||::||:\r\n");
 					fflush($fm);
 					flock($fm,LOCK_UN);
 					fclose($fm);
 					chmod ("../local/datachat/$id_room.chat", 0666);
 					}
?>
